FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007060343.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007060343.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8a6f5da OS_GIT_VERSION=4.4.0-202007060343.p0-8a6f5da SOURCE_DATE_EPOCH=1591906404 SOURCE_GIT_COMMIT=8a6f5da6ad52122ffdff7a97367d79976a9cc6ec SOURCE_GIT_TAG=v0.0.0-alpha.0-728-g8a6f5da6 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-controller-manager-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.4.0.20200706.034325
ENV __doozer=update BUILD_RELEASE=202007060343.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007060343.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8a6f5da OS_GIT_VERSION=4.4.0-202007060343.p0-8a6f5da SOURCE_DATE_EPOCH=1591906404 SOURCE_GIT_COMMIT=8a6f5da6ad52122ffdff7a97367d79976a9cc6ec SOURCE_GIT_TAG=v0.0.0-alpha.0-728-g8a6f5da6 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/cluster-kube-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-controller-manager-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-controller-manager-operator" \
        com.redhat.component="ose-cluster-kube-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        release="202007060343.p0" \
        io.openshift.build.commit.id="8a6f5da6ad52122ffdff7a97367d79976a9cc6ec" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-controller-manager-operator/commit/8a6f5da6ad52122ffdff7a97367d79976a9cc6ec" \
        version="v4.4.0"

